import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;

public class ExempleLectureXML {
    public static void main(String args[]) throws Exception {
        // create a parser
        SAXParserFactory spf = SAXParserFactory.newInstance();
        spf.setNamespaceAware(true);
        SAXParser saxParser = spf.newSAXParser();
        XMLReader parser = saxParser.getXMLReader();
        // create a handler
        Gestionnaire handler = new Gestionnaire();
        // assign the handler to the parser
        parser.setContentHandler(handler);
        // parse the document
        parser.parse("asterix.xml");
    }
}