import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class Gestionnaire extends DefaultHandler {
    public void startDocument() {
        System.out.println("\n\ndbut du document\n-----------------\n");
    }
    public void startElement(String namespaceURI,
                             String localName,
                             String qualifiedName,
                             Attributes attributs)
    throws SAXException {
        System.out.println("dbut: " + qualifiedName);
        for (int index = 0; index < attributs.getLength(); index++) {
            System.out.println("     - " +  attributs.getLocalName(index) + " = " + attributs.getValue(index));
        }
    }
    public void characters(char ch[], int start, int length)
    throws SAXException {
        System.out.println("valeur (car " + start + "  " +
                           (start + length - 1) +  " ): " +
                           new String(ch, start, length));
    }
    public void endElement(String namespaceURI,
                           String localName,
                           String qualifiedName)
    throws SAXException {
        System.out.println("fin:  /" + qualifiedName);
    }
    public void endDocument() {
        System.out.println("\n\nfin du document\n---------------\n");
    }
}
